# StickerSetAction - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.stickers.abstracts / StickerSetAction

# StickerSetAction

(common) `interface StickerSetAction : SimpleRequest<Boolean>` (source)

### Properties

(common)

#### name

`abstract val name: String`

(common)

#### resultDeserializer

`open val resultDeserializer: KSerializer<Boolean>`

(common)

#### userId

`abstract val userId: UserId`

### Inheritors

(common)

#### SetStickerSetThumb

`data class SetStickerSetThumb : StickerSetAction`

(common)

#### StandardStickerSetAction

`interface StandardStickerSetAction : StickerSetAction`